/**
 * Kopierprogramm für Dateien in C++
 * Copyright (C) 2008 Markus Bröker
 */

#include <iostream>
#include <fstream>
#include <cstdlib>

int main (int argc, char **argv)
{
    std::ifstream in;
    std::ofstream out;

    char c;

    if (argc != 3) {
        std::cout << "Benutzung: " << argv[0] << " <datei> <datei>" << std::endl;
        return EXIT_SUCCESS;
    }

    in.open (argv[1], std::ios::binary);
    if (!in) {
        std::cerr << "Fehler: Kann Datei " << argv[1] << " nicht lesen!" << std::endl;
    }

    out.open (argv[2]);
    if (!out) {
        std::cerr << "Fehler: Kann Datei " << argv[2] << " nicht beschreiben!" << std::endl;
    }

    while (in.get (c)) {
        out << c;
    }

    in.close ();
    out.close ();

    return EXIT_SUCCESS;
}
